<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <title th:text="${profile != null} ? 'Licenta :: Profile: ' + ${profile.username} : 'Licenta :: Profile: ?'">Your profile</title>
</head>
<body>
<div class="container section no-pad-bottom" layout:fragment="content">
    <div class="row">
        <div class="col s4 offset-s4">
            <div id="errorMessage" class="card-panel red lighten-2" th:if="${error}">
                <b><span class="white-text card-title center" th:text="${errorMessage}"></span></b>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col s3" th:if="${profile} != null">
            <div class="card-panel hoverable">
                <div>
                    <b><span class="black-text center">Profile</span></b>
                </div>
                <div>
                    <div class="row s1">
                        <h3 style="word-wrap: break-word;" id="profileName" class="center" th:text="${profile.username}">Username</h3>
                    </div>
                    <div class="divider"></div>
                    <div class="row s1" style="padding-top:20px">
                        <div style="display: inline-flex;vertical-align: middle;">
                            <i style="padding-right: 10px;" class="small material-icons">email</i>
                            <span style="word-wrap: break-word;" id="profileEmail" th:text="${profile.email}"></span>
                        </div>
                    </div>
                    <div class="row s1">
                        <div style="display: inline-flex;vertical-align: middle;">
                            <i style="padding-right: 10px;" class="small material-icons">description</i>
                            <span style="word-wrap: break-word;" id="profileDescription" th:if="${profile.email} != ${currentUser.email}" th:text="${#strings.isEmpty(profile.description)}? 'This user has no description.' : ${profile.description}"></span>
                            <span style="word-wrap: break-word;" id="profileDescription" th:if="${profile.email} == ${currentUser.email}" th:text="${#strings.isEmpty(profile.description)}? 'Add your own description.' : ${profile.description}"></span>
                        </div>
                    </div>
                    <div class="row s1">
                        <div style="display: inline-flex;vertical-align: middle;">
                            <i style="padding-right: 10px;" class="small material-icons">perm_contact_calendar</i>
                            <span id="profileDate" th:text="${#dates.format(profile.creationDate, 'dd-MMM-yyyy')}"></span>
                        </div>
                    </div>
                    <form th:if="${profile.email} != ${currentUser.email}" th:action="@{/user/follow}" method="post">
                        <div>
                            <button style="margin-left:0px;padding-left:0px;" id="followButton" type="submit" value="follow" class="btn-flat">
                                <i th:if="${not profile.followed}" style="padding-right: 10px;inline" class="small material-icons">favorite_border</i>
                                <i th:if="${profile.followed}" style="padding-right: 10px;inline;" class="small material-icons">favorite</i>
                                <span th:if="${not profile.followed}">Follow</span>
                                <span th:if="${profile.followed}">Unfollow</span>
                            </button>
                            <input type="hidden" name="followerId" th:value="${profile.id}"/>
                            <input type="hidden" name="followerUsername" th:value="${profile.username}"/>
                        </div>
                    </form>
                </div>
            </div>
            <div class="card-panel hoverable" th:if="${profile.email} == ${currentUser.email}">
                <div style="padding:0px;margin:0px;">
                    <div>
                        <b><span class="black-text center">Edit Profile</span></b>
                    </div>
                    <form th:action="@{/description}" method="post">
                        <div class="input-field">
                                <textarea id="textareaDesc" name="description" class="materialize-textarea" maxlength="255"
                                          data-length="255" required=""></textarea>
                            <label for="textareaDesc">Description</label>
                        </div>
                        <input id="editDescription" type="submit" value="Edit Description" class="btn waves-light"/>
                    </form>
                </div>
            </div>
        </div>
        <div class="col s6" th:if="${profile} != null">
            <div class="card-panel hoverable row" th:if="${profile.email} == ${currentUser.email}">
                <div>
                    <div>
                        <b><span class="black-text center">Post Tweet</span></b>
                    </div>
                    <form class="col s12" th:action="@{/tweet}" method="post"
                          style="display: inline-flex;vertical-align: middle;">
                        <div class="input-field col s12">
                            <textarea id="textarea" name="content" class="materialize-textarea" maxlength="255"
                                      data-length="255" required=""></textarea>
                        </div>
                        <input id="tweetButton" type="submit" value="tweet" class="col s3 btn waves-light"
                               style="margin-top: 60px"/>
                    </form>
                </div>
            </div>
            <div class="card-panel hoverable row" th:if="${profile} != null">
                <div class="col s12">
                    <div id="tweetsTitle">
                        <b><span class="black-text center">Tweets</span></b>
                    </div>
                    <div class="divider"></div>
                    <div id="noTweets" th:if="${#lists.isEmpty(tweets)}">
                        <b><span class="black-text center"
                                 th:text="${profile.email} == ${currentUser.email} ? 'Oops, you don\'t seem to have any tweets.' : 'This user does not have any tweets currently.'">Empty Tweets.</span></b>
                    </div>
                    <ul id="tweets" class="collection" th:if="${not #lists.isEmpty(tweets)}">
                        <li class="collection-item" th:each="tweet : ${tweets}">
                            <form th:id="'tweet-' + ${tweet.id}" th:action="@{/tweet/like}" method="post">
                                <div>
                                    <a th:href="@{'/u/'+${tweet.user.username}}"><span th:id="'tweetUsername-' + ${tweet.id}" class="title" th:text="'@'+${tweet.user.username}">Username</span></a>
                                    <span class="title" th:id="'tweetCreationDate-' + ${tweet.id}" th:text="${#dates.format(tweet.creationDate, 'dd-MMM-yyyy HH:mm')}">Posted at</span>
                                </div>
                                <p style="word-wrap: break-word;" th:id="'tweetDescription-' + ${tweet.id}" th:text="${tweet.content}">Tweet message</p>
                                <div>
                                    <button style="margin-left:0px;padding-left:0px;" th:id="'tweetLikeButton-' + ${tweet.id}" type="submit" value="like" class="btn-flat">
                                            <i th:if="${not tweet.liked}" style="padding-right: 10px;inline" class="small material-icons">star_border</i>
                                            <i th:if="${tweet.liked}" style="padding-right: 10px;inline;" class="small material-icons">star</i>
                                            <span th:id="'tweetLikeCount-' + ${tweet.id}" class="title" th:text="${tweet.likeCount}">Like Count</span>
                                    </button>
                                    <input type="hidden" name="tweetId" th:value="${tweet.id}"/>
                                    <input type="hidden" name="profileUsername" th:value="${profile.username}"/>
                                </div>
                            </form>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="col s3" th:if="${profile} != null">
            <div class="card-panel hoverable">
                <div>
                    <div id="followersTitle">
                        <b><span class="black-text center">Followers</span></b>
                    </div>
                    <div class="divider"></div>
                    <div id="noFollowers" th:if="${#lists.isEmpty(followers)}">
                        <b><span class="black-text center"
                                 th:text="${profile.email} == ${currentUser.email} ? 'Oops, you don\'t seem to have any followers.' : 'This user does not have any followers currently.'">Empty Tweets.</span></b>
                    </div>
                    <ul id="followers" class="collection" th:if="${not #lists.isEmpty(followers)}">
                        <li class="collection-item" th:each="follower : ${followers}">
                            <form th:id="'follow-' + ${follower.user.id}" th:action="@{/user/follow}" method="post">
                                <div>
                                    <a style="display:block" th:href="@{'/u/'+${follower.user.username}}"><span th:id="'followUsername-' + ${follower.user.id}" class="title" th:text="'@'+${follower.user.username}">Username</span></a>
                                    <span style="word-wrap: break-word;" th:id="'followDate-' + ${follower.user.id}" class="title" th:text="${#dates.format(follower.followDate, 'dd-MMM-yyyy')}">Follow date</span>
                                </div>
                                <div>
                                    <button th:if="${follower.user.username} != ${currentUser.username}" style="margin-left:0px;padding-left:0px;" th:id="'followButton-' + ${follower.user.id}" type="submit" value="follow" class="btn-flat">
                                        <i th:if="${not follower.user.followed}" style="padding-right: 10px;inline" class="small material-icons">favorite_border</i>
                                        <i th:if="${follower.user.followed}" style="padding-right: 10px;inline;" class="small material-icons">favorite</i>
                                        <span th:if="${not follower.user.followed}">Follow</span>
                                        <span th:if="${follower.user.followed}">Unfollow</span>
                                    </button>
                                    <input type="hidden" name="followerId" th:value="${follower.user.id}"/>
                                </div>
                            </form>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
